Class Fox::FXDCWindow

In: | FXDCWindow.rb
Parent: | FXDC

A window device context allows drawing into an FXDrawable, such as an on-screen window (i.e. FXWindow and itsderivatives) or an off-screen image (FXImage and its derivatives). Because certain hardware resources are locked down, only one FXDCWindow may be locked on a drawable at any one time.

Methods

begin end new new

Public Class methods

new(drawable, event) {|dc| ...}

Construct for painting in response to expose; this sets the clip rectangle to the exposed rectangle. If an optional code block is provided, the new device context will be passed into the block as an argument and end will be called automatically when the block terminates.

new(drawable) {|dc| ...}

Construct for normal drawing; this sets clip rectangle to the whole drawable. If an optional code block is provided, the new device context will be passed into the block as an argument and end will be called automatically when the block terminates.

Public Instance methods

begin(drawable)

Lock in a drawable surface.

end()

Unlock the drawable surface.